using System.Text.Json.Serialization;

namespace  DataSharing.Share.Dtos.Province.Extend
{
    /// <summary>
    /// 电视购物及商铺购买退换货工单
    /// </summary>
    public class FormReturnexChangeInfo
    {
        /// <summary>
        /// 电视台（商铺）  
        /// </summary>
        [JsonPropertyName("SUBJECT_NAME")]
        public string? SubjectName { get; set; }

        /// <summary>
        /// 购买时间  
        /// </summary>
        [JsonPropertyName("PURCHASE_TIME")]
        public DateTime? PurchaseTime { get; set; }

        /// <summary>
        /// 产品名称  
        /// </summary>
        [JsonPropertyName("PRODUCT_NAME")]
        public string? ProductName { get; set; }

        /// <summary>
        /// 消费金额  
        /// </summary>
        [JsonPropertyName("CHARGE")]
        public string? Charge { get; set; }

        /// <summary>
        /// 商家名称  
        /// </summary>
        [JsonPropertyName("BUSINESS_NAME")]
        public string? BusinessName { get; set; }

        /// <summary>
        /// 商家地址  
        /// </summary>
        [JsonPropertyName("BUSUNESS_ADDR")]
        public string? BusunessAddr { get; set; }

        /// <summary>
        /// 收货人  
        /// </summary>
        [JsonPropertyName("RECEIVE_PERSON")]
        public string? ReceivePerson { get; set; }

        /// <summary>
        /// 收货人地址  
        /// </summary>
        [JsonPropertyName("RECEIVE_ADDR")]
        public string? ReceiveAddr { get; set; }
    }
}
